.modal.isOpen {
    display: flex;
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: none;
    justify-content: center;
    align-items: center;
    min-width: 100vw;
    min-height: 100vh;
    font-size: 16px;
}

.modal.isOpen {
    display: flex;
}

.button.button--base {
    min-width: 110px;
    padding-left: 20px;
    padding-right: 20px;
    margin: 0;
    justify-content: center;
}

.button.button--close {
    position: absolute;
    top: 0.5rem;
    right: 0.5rem;
    width: 2.5rem;
    height: 2.5rem;
    min-width: 2.5rem;
    padding: 0.435rem;
    font-size: 0;
    background-color: transparent;
    box-shadow: none;
}

.button--close svg {
    width: 100%;
}

.button--close path {
    fill: var(--modal-close);
    transition: fill 0.3s cubic-bezier(0.66, 0.28, 0.09, 0.53);
}

.button--close:focus path {
    fill: var(--modal-close-active);
}

@media (hover: hover) {
    .button.button--close:hover {
        box-shadow: none;
    }

    .button--close:hover path {
        fill: var(--modal-close-active);
    }
}

.modal__overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--black-25);
}

.modal__container {
    position: relative;
    width: 100%;
    max-width: 480px;
    max-height: 100vh;
    margin: auto 0.625rem;
    padding: 3.5rem 3.125rem 2.5rem;
    background-color: var(--modal-bg);
    border-radius: 5px;
    color: var(--modal-color);
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.3);
    overflow-y: auto;
}

@media (max-width: 420px) {
    .modal__container {
        padding: 2.8rem 1.25rem 2.185rem;
    }
}

.modal__main {
    margin-bottom: 2rem;
}

@media (max-width: 420px) {
    .modal__main {
        margin-bottom: 1.585rem;
    }
}

.modal__title {
    margin: 0 0 1.25rem;
    font-size: 1.45rem;
}

@media (max-width: 420px) {
    .modal__title {
        margin: 0 0 1rem;
        font-size: 1.3rem;
    }
}

.modal.isOpening {
    animation: fadeIn 0.2s cubic-bezier(0.66, 0.28, 0.09, 0.53);
}

.modal.isClosing {
    animation: fadeIn 0.2s cubic-bezier(0.66, 0.28, 0.09, 0.53) 1 reverse;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.modal {
}
@media all and (max-width: 575px) {
    .modal {
        padding: 24px;
        border-radius: 16px;
    }
}
.modal__backdrop {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    background: rgba(24, 24, 27, .92);
}
.modal .modal__content {
    max-width: 628px;
    width: 100%;
    border-radius: 20px;
    color: #666d77;
    padding: 40px 80px 60px 80px;
    
    flex-direction: column;
    align-self: center;
    background: #fff;
    position: relative;
}
.modal .modal__heading {
    text-align: center;
    /* margin-bottom: 40px; */
}
@media all and (max-width: 575px) {
    .modal .modal__heading {
        /* margin-bottom: 24px; */
        margin-bottom: 5px;
    }
}
.modal .modal__heading h2 {
    font-size: 36px;
    line-height: 44px;
    margin-bottom: 24px;
    font-weight: 400;
    color: #2c4576;
}
@media all and (max-width: 575px) {
    .modal .modal__heading h2 {
        font-size: 28px;
        line-height: 32px;
        margin-bottom: 16px;
    }
}
.modal .form__inner form {
    margin-top: 40px;
}
.modal .form__inner form .form__item {
    margin-bottom: 12px;
}
.modal .form__inner form .form__item input {
    width: 100%;
    height: 76px;
    border-radius: 38px;
    border: 2px solid #fff;
    background-color: #f1f3f6;
    padding-left: 36px;
    padding-right: 66px;
    background-size: 20px;
    background-position: calc(100% - 36px) 50%;
    background-repeat: no-repeat;
}
@media all and (max-width: 575px) {
    .modal .form__inner form .form__item input {
        height: 52px;
    }
}
.modal .form__inner form .form__item input:focus {
    border: 2px solid #2c3239;
    background-color: #fff;
}
.modal .form__inner form .form__item input.name {
    background-image: url(../img/icon_10.svg);
}
.modal .form__inner form .form__item input.phone {
    background-image: url(../img/icon_11.svg);
}
.modal .form__inner form .form__item select {
    width: 100%;
    height: 76px;
    border-radius: 38px;
    padding-left: 36px;
    background-color: #f1f3f6;
    border: 2px solid #fff;
    background-color: #f1f3f6;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-size: 20px;
    background-position: calc(100% - 36px) 50%;
    background-repeat: no-repeat;
    background-image: url(../img/icon_12.svg);
}
@media all and (max-width: 575px) {
    .modal .form__inner form .form__item select {
        height: 52px;
    }
}
.modal .form__inner form .form__item select:focus {
    border: 2px solid #2c3239;
    background-color: #fff;
}
.modal .form__inner form .form__item select::-ms-expand {
    display: none;
}
.modal .form__inner form .form__submit {
    padding-top: 28px;
    margin-bottom: 40px;
}
.modal .form__inner form .form__policy {
    font-size: 12px;
    line-height: 20px;
    color: #666d77;
}
.modal .form__inner form .form__policy a {
    color: #2c3239;
}
.modal .form__inner form .form__policy strong {
    color: #2c3239;
    font-weight: 600;
}
.modal iframe.getcourse_widget {
    width: 100%;
    height: 570px;
    border: none;
    /* overflow: hidden; */
}
@media all and (max-width: 575px) {
    .modal .form__inner form .form__submit {
        padding-top: 12px;
        margin-bottom: 24px;
    }
    
    .modal .modal__content {
        padding: 15px;
    }
    
    .modal iframe.getcourse_widget {
        height: 620px;
    }
}
